package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.Organization;
import com.ekexiu.console.system.pojo.OrganizationInfo;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.*;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

@DAO
public interface OrgDao {
	@Insert
	int insert(Connection con, Organization org) throws SQLException;

	@Update
	int update(Connection con, Organization org) throws SQLException;

	@DeleteWith
	@From(Organization.class)
	int delete(Connection con, String id) throws SQLException;

	@DeleteWith
	@Batch
	@From(Organization.class)
	int[] delete(Connection con, @Batch String[] id) throws SQLException;

	@Nullable
	@QueryOne
	OrganizationInfo query(Connection con, String id) throws SQLException;

	@UpdateWith
	@From(Organization.class)
	int updateAuthStatus(Connection con,String id,@Set String authStatus)throws SQLException;

	@PageQuery
	@OrderBy(" ORDER BY create_time DESC")
	PageQueryResult<OrganizationInfo> query(Connection con,@Nullable @Like String inviterId, @Nullable @Like String name, @Nullable @Like String industry, @Nullable @Like String subject, @Nullable @Like String city, int pageSize, int pageNo) throws SQLException;

}
