package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import com.ekexiu.console.basepo.DescpSupported;
import com.ekexiu.console.basepo.ModifyTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("id")
@Table
public class Organization implements CreateTimeSupported, ModifyTimeSupported, DescpSupported {

    private String id;
    private String name;
    private String orgType;
    private String orgAttr;
    private String forShort;
    private String orgUrl;
    private String foundTime;
    private String province;
    private String city;
    private String subject;
    private String industry;
    private String orgSize;
    private String qualification;
    private String isJoin;
    private String createTime;
    private String modifyTime;
    private String descp;
    private String authStatus;

    @Column(DE.string_de)
    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }

    @Column(DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(DE.string_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(DE.singleChar)
    public String getOrgType() {
        return orgType;
    }

    public void setOrgType(String orgType) {
        this.orgType = orgType;
    }


    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(DE.DictCode)
    public String getOrgAttr() {
        return orgAttr;
    }

    public void setOrgAttr(String orgAttr) {
        this.orgAttr = orgAttr;
    }

    @Column(value = DE.String_de, dbType = "VARCHAR(20)")
    public String getForShort() {
        return forShort;
    }

    public void setForShort(String forShort) {
        this.forShort = forShort;
    }

    @Column(DE.String_de)
    public String getOrgUrl() {
        return orgUrl;
    }

    public void setOrgUrl(String orgUrl) {
        this.orgUrl = orgUrl;
    }

    @Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(8)", nullable = true, insertable = true, renewable = true, queryable = true)
    public String getFoundTime() {
        return foundTime;
    }

    public void setFoundTime(String foundTime) {
        this.foundTime = foundTime;
    }

    @Column(DE.String_de)
    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    @Column(DE.String_de)
    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Column(value = DE.String_de, dbType = "TEXT")
    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    @Column(value = DE.String_de, dbType = "TEXT")
    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    @Column(DE.SingleChar)
    public String getOrgSize() {
        return orgSize;
    }

    public void setOrgSize(String orgSize) {
        this.orgSize = orgSize;
    }

    @Column(value = DE.String_de, dbType = "TEXT")
    public String getQualification() {
        return qualification;
    }

    public void setQualification(String qualification) {
        this.qualification = qualification;
    }

    @Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(1)", renewable = false)
    public String getIsJoin() {
        return isJoin;
    }

    public void setIsJoin(String isJoin) {
        this.isJoin = isJoin;
    }


}
